Stocks/Movements/{stockMovement}
Show stock movement
Returns a single stock movement with all its article lines. Returns 404 when the movement identifier does not exist.
curl -X GET "https://og-tenant1.test:8003/api/v2/stocks/movements/string"{
"data": {
"id": "string",
"description": "string",
"movement_type": {},
"warehouse_enter": {},
"warehouse_exit": {},
"annulled": true,
"date": "2019-08-24",
"register_date": "2019-08-24T14:15:22Z",
"lines": [
{
"id_movement": "string",
"line": 0,
"article": "string",
"designation": "string",
"warehouse_enter": {},
"warehouse_exit": {},
"quantity": 0,
"unit": "string",
"price_uni": 0,
"cost_price_last": 0,
"cost_price_medium": 0,
"cost_price": 0,
"cost_center": "string"
}
]
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}